package org.mut.ampa.client.screens.error.view;

import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.TextArea;
import com.google.gwt.user.client.ui.VerticalPanel;

/**
 * Pantalla per a mostrar errors.
 * @author Mario Unio UOC 2012
 *
 */
public class ErrorScreen extends Composite implements org.mut.ampa.client.screens.error.presenter.ErrorScreenPresenter.Display
{

	private final VerticalPanel root = new VerticalPanel();
	private final Label title = new Label("ERROR");
	private final TextArea message = new TextArea();
	private final Button botoOK = new Button("Acceptar");
	
	public ErrorScreen() 
	{	
		initWidget(root);
		root.setHeight("100%");
		root.setWidth("100%");
		
		root.add(title);
		root.add(message);
		root.add(botoOK);
	}

	@Override
	public HasClickHandlers getOkButton() {
		return botoOK;
	}

	@Override
	public void setErrorMessage(String text) {
		message.setText(text);
		
	}
}
