package org.mut.ampa.client.screens.manteniment.alumne.event;





import org.mut.ampa.shared.model.AlumneBrief;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal carregar la 
 * pantalla d'edició de Alumnes
 * @author Mario Unio UOC 2012
 *
 */
public class EditAlumneEvent extends GwtEvent<EditAlumneEventHandler>{

	public static Type<EditAlumneEventHandler> TYPE = new Type<EditAlumneEventHandler>();
	
	private final AlumneBrief alumne;
		public AlumneBrief getAlumne() {return alumne;}
	
	private final boolean updateMode;
		public boolean getUpdateMode() {return updateMode;}
	
	
	
	public EditAlumneEvent(AlumneBrief alumne,boolean updateMode) 
	{
		this.alumne = alumne;
		this.updateMode=updateMode;
	}
	
	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditAlumneEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditAlumneEventHandler handler) {
		 handler.onGoEditAlumne(this);
	}

	

}
