package org.mut.ampa.client.screens.manteniment.grup.event;





import org.mut.ampa.shared.model.CursGrupInfo;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal carregar la 
 * pantalla d'edició de Grups
 * @author Mario Unio UOC 2012
 *
 */
public class EditGrupEvent extends GwtEvent<EditGrupEventHandler>{

	public static Type<EditGrupEventHandler> TYPE = new Type<EditGrupEventHandler>();
	
	private final CursGrupInfo grup;
		public CursGrupInfo getGrup() {return grup;}
	
	private final boolean updateMode;
		public boolean getUpdateMode() {return updateMode;}
	
	
	
	public EditGrupEvent(CursGrupInfo grup,boolean updateMode) 
	{
		this.grup = grup;
		this.updateMode=updateMode;
	}
	
	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditGrupEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditGrupEventHandler handler) {
		 handler.onGoEditGrup(this);
	}

	

}
