package org.mut.ampa.client.screens.manteniment.tutor.event;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal cancel·lar la 
 * pantalla d'edició de Tutors
 * @author Mario Unio UOC 2012
 *
 */
public class EditTutorCancelledEvent extends GwtEvent<EditTutorCancelledEventHandler>
{
	public static Type<EditTutorCancelledEventHandler> TYPE = new Type<EditTutorCancelledEventHandler>();
	
	 
	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditTutorCancelledEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditTutorCancelledEventHandler handler) {
		 handler.onEditTutorCancelled(this);
	}

}
