package org.mut.ampa.client.screens.manteniment.tutor.event;



import org.mut.ampa.shared.model.Tutor;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal updatar les dades que s'han modificat en la 
 * pantalla d'edició de Tutors
 * @author Mario Unio UOC 2012
 *
 */
public class EditTutorUpdateEvent extends GwtEvent<EditTutorUpdateEventHandler>{

	public static Type<EditTutorUpdateEventHandler> TYPE = new Type<EditTutorUpdateEventHandler>();
	
	private final Tutor tutor; 
	public Tutor getGrup() {return tutor;}
	
	public EditTutorUpdateEvent(Tutor tutor) {
		this.tutor = tutor;
	}

	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditTutorUpdateEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditTutorUpdateEventHandler handler) {
		 handler.onEditTutorUpdate(this);
	}


}
