package org.mut.ampa.shared;

import java.io.Serializable;

import org.mut.ampa.shared.model.UsuariRol;

/**
 * Credencial d'un usuari autenticat
 * @author Mario Unio UOC 2012
 *
 */
public class LoginCredential implements Serializable
{
	
	private static final long serialVersionUID = 3791724389208005121L;
	
	private String nom;
	 private String password;
	 private UsuariRol rol;
	
	 
	 public LoginCredential() 
	 {
	 }

	 public LoginCredential(String nom,String passw,UsuariRol rol) {
		this.nom=nom;
		this.password=passw;
		this.rol =rol;
	}
	
	public String getNom() {
		return nom;
	}
	
	public void setNom(String nom) {
		this.nom = nom;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}

	public UsuariRol getRol() {
		return rol;
	}

	public void setRol(UsuariRol rol) {
		this.rol = rol;
	}

	

}
