package org.mut.ampa.shared.exceptions;

import java.io.Serializable;

/**
 * Escepcio Wrapper que es llençada pel servidor en el cas de produirse un problema
 * en la banda del servidor
 * @author Mario Unio UOC 2012
 *
 */
public class ServerSideException extends Exception  implements Serializable
{

	private static final long serialVersionUID = 5207224812385750021L;
	
	private final String message;
	
	public ServerSideException(String message) 
	{
		this.message = message ;
	}
	
	@Override
	public String getMessage() {
		return this.message;
	}
	
	public ServerSideException() {
		message="Server side Exception not reported";
	}
}
