package org.mut.ampa.shared.model;

import java.util.List;

import org.mut.ampa.shared.ListBoxTransformable;

import com.google.gwt.user.client.rpc.IsSerializable;

public class AlumneBrief extends ListBoxTransformable implements IsSerializable
{
    private Integer id;

    private String nom;

    private String cognom1;

    private String cognom2;
    
    private String cursDescripcio;
    
    private List<Integer> idsTutor;
    private List<Integer> idsAlumneGerma;

    
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getCognom1() {
        return cognom1;
    }

    public void setCognom1(String cognom1) {
        this.cognom1 = cognom1;
    }

    public String getCognom2() {
        return cognom2;
    }

    public void setCognom2(String cognom2) {
        this.cognom2 = cognom2;
    }
    
    public void setCursDescripcio(String cursDescripcio) {
		this.cursDescripcio = cursDescripcio;
	}
    
    public String getCursDescripcio() {
		return cursDescripcio;
	}

	public List<Integer> getIdsTutor() {
		return idsTutor;
	}

	public void setIdsTutor(List<Integer> idsTutor) {
		this.idsTutor = idsTutor;
	}

	public List<Integer> getIdsAlumneGerma() {
		return idsAlumneGerma;
	}

	public void setIdsAlumneGerma(List<Integer> idsAlumneGerma) {
		this.idsAlumneGerma = idsAlumneGerma;
	}

	@Override
	public String transform() {
		return nom +" "+cognom1+ " "+ cognom2;
	}
    
    
}
   