package org.mut.ampa.client.screens.login.event;

import org.mut.ampa.shared.LoginCredential;
import com.google.gwt.event.shared.GwtEvent;

public class ValidateUserEvent extends GwtEvent<ValidateUserEventHandler>{
	 
	private final LoginCredential credential;
	public static Type<ValidateUserEventHandler> TYPE = new Type<ValidateUserEventHandler>();
	
	
	public ValidateUserEvent(LoginCredential credential) 
	{
		this.credential = credential;
	}
	
	  
	  @Override
	  public Type<ValidateUserEventHandler> getAssociatedType() {
	    return TYPE;
	  }

	  @Override
	  protected void dispatch(ValidateUserEventHandler handler) {
	    handler.onValidateUser(this);
	  }

	public LoginCredential getCredential() {
		return credential;
	}

}
