package org.mut.ampa.client.screens.manteniment.alumne.event;




import org.mut.ampa.shared.model.AlumneBrief;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal updatar les dades que s'han modificat en la 
 * pantalla d'edició de Alumnes
 * @author Mario Unio UOC 2012
 *
 */
public class EditAlumneUpdateEvent extends GwtEvent<EditAlumneUpdateEventHandler>{

	public static Type<EditAlumneUpdateEventHandler> TYPE = new Type<EditAlumneUpdateEventHandler>();
	
	private final AlumneBrief alumne; 
	public AlumneBrief getGrup() {return alumne;}
	
	public EditAlumneUpdateEvent(AlumneBrief alumne) {
		this.alumne = alumne;
	}

	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditAlumneUpdateEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditAlumneUpdateEventHandler handler) {
		 handler.onEditAlumneUpdate(this);
	}


}
