package org.mut.ampa.client.screens.manteniment.tutor.event;





import org.mut.ampa.shared.model.Tutor;

import com.google.gwt.event.shared.GwtEvent;

/**
 * Event que indica al Controlador de l'aplicació que cal carregar la 
 * pantalla d'edició de Tutors
 * @author Mario Unio UOC 2012
 *
 */
public class EditTutorEvent extends GwtEvent<EditTutorEventHandler>{

	public static Type<EditTutorEventHandler> TYPE = new Type<EditTutorEventHandler>();
	
	private final Tutor tutor;
		public Tutor getTutor() {return tutor;}
	
	private final boolean updateMode;
		public boolean getUpdateMode() {return updateMode;}
	
	
	
	public EditTutorEvent(Tutor tutor,boolean updateMode) 
	{
		this.tutor = tutor;
		this.updateMode=updateMode;
	}
	
	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditTutorEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditTutorEventHandler handler) {
		 handler.onGoEditTutor(this);
	}

	

}
