package org.mut.ampa.client.screens.manteniment.usuari.event;

import org.mut.ampa.shared.model.Usuari;

import com.google.gwt.event.shared.GwtEvent;

public class EditUsuariEvent extends GwtEvent<EditUsuariEventHandler>{

	public static Type<EditUsuariEventHandler> TYPE = new Type<EditUsuariEventHandler>();
	
	private final Usuari user;
		public Usuari getUser() {return user;}
	
	private final boolean updateMode;
		public boolean getUpdateMode() {return updateMode;}
	
	
	
	public EditUsuariEvent(Usuari user,boolean updateMode) 
	{
		this.user = user;
		this.updateMode=updateMode;
	}
	
	@Override
	public com.google.gwt.event.shared.GwtEvent.Type<EditUsuariEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(EditUsuariEventHandler handler) {
		 handler.onGoEditUsuari(this);
	}

	

}
