package org.mut.ampa.server.login;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.mut.ampa.client.screens.login.LoginService;
import org.mut.ampa.server.dao.UsuariMapper;
import org.mut.ampa.shared.LoginCredential;
import org.mut.ampa.shared.model.Usuari;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

public class LoginServiceImpl extends  RemoteServiceServlet implements LoginService{

	/**
	 * 
	 */
	private static final long serialVersionUID = 4818586536764605638L;
	
	private SqlSession session =  null;
	
	public LoginServiceImpl() {
		
		try {
		String resource = "org/mut/ampa/server/mybatis-config.xml";
		InputStream inputStream;
		
			inputStream = Resources.getResourceAsStream(resource);
		
		SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		
		 session = sqlSessionFactory.openSession();
		} catch (IOException e) {
				e.printStackTrace();
		}
	}

	@Override
	public Usuari validate(LoginCredential credential) {
		
		System.out.println();
		System.out.println(credential.getPassword());
		UsuariMapper mapper = session.getMapper(UsuariMapper.class);
		
		List<Usuari> result = mapper.validateUserPassword(credential.getNom(), credential.getPassword());
		
		if (result.size()!= 1) return null;
		return result.get(0);

	}


}
