package org.mut.ampa.shared.exceptions;

import java.io.Serializable;

/**
 * Escepcio Wrapper que es llençada pel servidor en el cas de no ser un usuari autoritzat
 * en la banda del servidor
 * @author Mario Unio UOC 2012
 *
 */
public class UnAuthorizedException extends Exception implements Serializable {

	private static final long serialVersionUID = 2277863794297121164L;
	
	private String errorInfo;
	
	public UnAuthorizedException() {}
	
	public UnAuthorizedException(String errorInfo) 
	{
		this.errorInfo = errorInfo ;
	}
	
	public String getErrorInfo() {
		return this.errorInfo;
	}
}
