package org.mut.ampa.shared.filter;

import java.io.Serializable;

public class Filter implements Serializable
{
	private static final long serialVersionUID = 6779321898796722566L;
	
	private  int size;
	private  FilterField[] fields;

	public Filter() {
		this.fields = null;
		this.size   = 0;
	}
	
	public Filter(FilterField[] fields) 
	{
		this.fields = fields;
		this.size   = fields.length;
	}

	public int getSize() {
		return size;
	}

	public FilterField[] getFields() {
		return fields;
	}
	
	
}
