package org.mut.ampa.shared.filter;

import java.io.Serializable;

/**
 * Classe que representa un camp per el que filtrar. Format per la tupla {Camp,Valor}
 * @author Mario Unio UOC 2012
 *
 */
public class FilterField implements Serializable
{

	private static final long serialVersionUID = 8015394117243130648L;
	
	private  String field;
	private  String value;
	
	public FilterField() {
		this.field = null;
		this .value = null;
	}
	public FilterField(String field,String value)
	{
		this.field = field;
		this .value = value;
	}

	public String getField() {
		return field;
	}

	public String getValue() {
		return value;
	}
	
	
}
